SENDO EMAIL API

Email Sending API to send notifications to your customers. The request supports one or multiple destinations and allows sharing an html template in each request or referencing a predefined template in the Sendo user interface.


Send Email

POSThttps://api.sendo.cloud/api/email/send

This endpoint is used to send templated email to a specific destination.

Required attributes


FieldTypeDescription
destinationstringThe email address of the recipient to whom the email will be sent.
htmlstring Contains the body of the email in HTML format. It allows including HTML tags to format the content of the email.
subjectstringThe subject of the email that the recipient will see.
senderstringThe sender's email address previously approved and configured correctly.
categorystringCorresponds to the type of sending; the possible values can be marketing, otp, or transaction.

Request body.


curl --location 'https://35.185.103.32:3000/api/email/send' 
--header 'apikey: fQbUHC3LPDQxUsdfsv6545gfdgKBRkImwePfwz' 
--header 'Content-Type: application/json' 
--data-raw  '{
"destination": "john.dou@yourmail.com",
"html": "<h1>Hi, this is a simple test</h1>",
"subject": "Test",
"sender": "example@yourmail.com",
"category": "marketing"
}'
Response .
CodeDescription
200Successful
{
  "status": {
    "code": 200,
    "message": "Envío exitoso",
    "messageId": "68c9802d-1910-4dba-9048-4a6c98787a0e"
  }
}

Server responses.

Send email by template

POSThttps://api.sendo.cloud/api/email/send-by-template

This endpoint is used to send email by adding the ID of the Sendo platform templates.

Required attributes


FieldTypeDescription
destinationstringThe email address of the recipient to whom the email will be sent.
templateNamestringName extracted from the Email template of the Sendo platform.
subjectstringThe subject of the email that the recipient will see.
senderstringThe sender's email address previously approved and configured correctly.
variablesobjectAn object that contains variables to be inserted into the body of the email. In this case, it includes variables as a name with its respective value that will be used to replace the placeholder tags in the HTML.
categorystringCorresponds to the type of sending; the possible values can be marketing, otp, or transaction.

Request body.


curl --location 'https://35.185.103.32:3000/api/email/send-by-template' 
--header 'apikey: fQbUHC3LPDQxUsdfsv6545gfdgKBRkImwePfwz' 
--header 'Content-Type: application/json' 
--data-raw   '{
"destination": "john.dou@yourmail.com",
"templateReference": 0,
"subject": "TEST EMAIL",
"sender": "example@yourmail.com",
"variables": {"name":"john wek","fecha":"8-08-2088","phone":"83347715"},
"category": "transaction"
}'
Response .
CodeDescription
200Successful
{
  "status": {
    "code": 200,
    "message": "Envío exitoso",
    "messageId": "68c9802d-1910-4dba-9048-4a6c98787a0e"
  }
}

Server responses.